Index: Makefile
===================================================================
--- Makefile	(revision 808)
+++ Makefile	(working copy)
@@ -25,7 +25,7 @@
 DIFF    = diff
 PREFIX  ?= /usr/local
 MANDIR  ?= $(PREFIX)/share/man
-CFLAGS  ?= -Os -Wall -Werror
+CFLAGS  ?= -Os -Wall -Werror -DBUILD_OS="\"$(shell uname -mrs)\""
 EXPORTDIR ?= .
 
 OS_ARCH	= $(shell uname)
Index: flashrom.c
===================================================================
--- flashrom.c	(revision 808)
+++ flashrom.c	(working copy)
@@ -966,9 +966,12 @@
 	exit(1);
 }
 
+void print_buildinfo(void);
+
 void print_version(void)
 {
 	printf("flashrom v%s\n", flashrom_version);
+	print_buildinfo();
 }
 
 int main(int argc, char *argv[])
Index: internal.c
===================================================================
--- internal.c	(revision 808)
+++ internal.c	(working copy)
@@ -31,6 +31,13 @@
 int io_fd;
 #endif
 
+const char *build_os = BUILD_OS;
+
+void print_buildinfo()
+{
+	printf("Built on: %s\n", build_os);
+}
+
 #if NEED_PCI == 1
 struct pci_dev *pci_dev_find_filter(struct pci_filter filter)
 {
